/*****
 * xscreenshot.c
 * Take screenshot, with selectable area.
 * Copyright (C) James Budiono, 2014
 * License: GNU GPL Version 3 or later.
 *****/

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>
#include <X11/Xregion.h>
#include <X11/extensions/Xfixes.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "pnglite.h"


// ***************** Entry point *************
int main (int argc, char*argv[])
{
    Display *display = XOpenDisplay(NULL);
    
	int event, error;
	if (XFixesQueryExtension(display, &event, &error))
	{
		XFixesCursorImage *cur = XFixesGetCursorImage(display);
		printf("%d %d %d %d %d %d\n", cur->x, cur->y, cur->width, cur->height, cur->xhot, cur->yhot);
	}
    
	XFlush (display);
	XCloseDisplay (display);
	return 0;
}

